package com.ruixuan.live.mapper;

import com.ruixuan.live.entity.KuaishouLiveBroadcast;

import java.util.List;

/**
 * 快手—直播Mapper接口
 *
 * @author ruoyi
 * @date 2022-05-31
 */
public interface KuaishouLiveBroadcastMapper {
    /**
     * 查询快手—直播
     *
     * @param id 快手—直播主键
     * @return 快手—直播
     */
    public KuaishouLiveBroadcast selectKuaishouLiveBroadcastById(String id);

    /**
     * 查询快手—直播列表
     *
     * @param kuaishouLiveBroadcast 快手—直播
     * @return 快手—直播集合
     */
    public List<KuaishouLiveBroadcast> selectKuaishouLiveBroadcastList(KuaishouLiveBroadcast kuaishouLiveBroadcast);

    /**
     * 新增快手—直播
     *
     * @param kuaishouLiveBroadcast 快手—直播
     * @return 结果
     */
    public int insertKuaishouLiveBroadcast(KuaishouLiveBroadcast kuaishouLiveBroadcast);

    /**
     * 修改快手—直播
     *
     * @param kuaishouLiveBroadcast 快手—直播
     * @return 结果
     */
    public int updateKuaishouLiveBroadcast(KuaishouLiveBroadcast kuaishouLiveBroadcast);

    /**
     * 删除快手—直播
     *
     * @param id 快手—直播主键
     * @return 结果
     */
    public int deleteKuaishouLiveBroadcastById(String id);

    /**
     * 批量删除快手—直播
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteKuaishouLiveBroadcastByIds(String[] ids);

    KuaishouLiveBroadcast getOne(KuaishouLiveBroadcast kuaishouLiveBroadcast);
}
